Because large enterprises must often perform phased upgrades, Horizon View components are designed to be somewhat forward and backward compatible, at least during upgrades.

View Connection Server compatibility with View Agents is limited to interoperability during a View Connection Server upgrade. You must upgrade View Agents as soon as possible to match the version of the View Connection Server that manages them.

The following tables list the components of Horizon View and show whether they are compatible with other components whose version is different. For information about compatibility with VMware Infrastructure and vSphere, see the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.

Compatibility Matrix for Horizon View 5.2 and 5.1.x Components

Connection Server 5.1.x

Security Server 5.1.x (PCoIP and RDP)

View Composer 3.0

View Agent 5.1.x

View Client (Windows) 5.1.x

View Transfer Server 5.1.x

View Client with Local Mode 5.1.x

Connection Server 5.2

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

No

Yes

Security Server 5.2 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

No

Yes

View Composer 5.2

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

N/A

N/A

View Agent 5.2

Only during upgrade

No

No

N/A

Only during upgrade

Yes

Yes

View Client (Windows) 5.2

Yes

Yes

Yes

Yes

N/A

Yes

N/A

View Transfer Server 5.2

No

N/A

N/A

Yes

N/A

N/A

Yes

View Client with Local Mode 5.2

Yes

Yes

Yes

Yes

N/A

Yes

N/A

Compatibility Matrix for Horizon View 5.2 and 5.0.x Components

Connection Server 5.0.x

Security Server 5.0.x (PCoIP and RDP)

View Composer 2.7

View Agent 5.0.x

View Client (Windows) 5.0.x

View Transfer Server 5.0.x

View Client with Local Mode 5.0.x

Connection Server 5.2

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

No

Yes

Security Server 5.2 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

No

Yes

View Composer 5.2

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

N/A

N/A

View Agent 5.2

No

No

No

N/A

Only during upgrade

Yes

Yes

View Client (Windows) 5.2

5.0.1 Connection Server only

Yes

Yes

Yes

N/A

Yes

N/A

View Transfer Server 5.2

No

N/A

N/A

Yes

N/A

N/A

Yes

View Client with Local Mode 5.2

5.0.1 Connection Server only

Yes

Yes

Yes

N/A

Yes

N/A

Although View Client 5.2 can work with View Connection Server 5.0.0, the security enhancements and certificate checking that were introduced with View 5.1 are available only with View Connection Server 5.0.1 and 5.1.

Compatibility Matrix for Horizon View 5.2 and 4.6.x Components

Connection Server 4.6.x

Security Server 4.6.x (PCoIP and RDP)

View Composer 2.6

View Agent 4.6.x

View Client (Windows) 4.6.x

View Transfer Server 4.6.x

View Client with Local Mode 4.6.x

Connection Server 5.2

Only during upgrade

Only if paired before upgrade

No

Only during upgrade

Yes

No

Yes

Security Server 5.2 (PCoIP and RDP)

No

N/A

No

Only during upgrade

Yes

No

Yes

View Composer 5.2

Only during upgrade

Only during upgrade

N/A

Only during upgrade

N/A

N/A

N/A

View Agent 5.2

No

No

No

N/A

Only during upgrade

Yes

Yes

View Client (Windows) 5.2

4.6.1 Connection Server only

4.6.1 security server only

Yes

Yes

N/A

Yes

N/A

View Transfer Server 5.2

No

N/A

N/A

Yes

N/A

N/A

Yes

View Client with Local Mode 5.2

4.6.1 Connection Server only

4.6.1 security server only

Yes

Yes

N/A

Yes

N/A

Caution

During an upgrade to Horizon View 5.2, View does not support View Composer provisioning and maintenance operations, local mode operations, or View Transfer Server publish operations. Operations such as provisioning and recomposing linked-clone desktops, checking out or checking in desktops, and publishing View Composer base images are not supported during the transitional period when any View servers are still running the earlier version. You can successfully perform these operations only when all instances of View Connection Server, View Composer, and View Transfer Server have been upgraded to Horizon View 5.2.

For details about which versions of Horizon View are compatible with which versions of vCenter Server and ESX/ESXi, see the VMware Product Interoperability Matrix at http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.